cleanup source

This commit is contained in:
2026-08-27 23:39:46 +02:00
parent 0f61e177f8
commit 0ade18796f
-3
View File
@@ -86,7 +86,6 @@ function apt_get_install() {
return $rc return $rc
} }
WORK_DIR=''
function cleanup_work_dir() { function cleanup_work_dir() {
[ -n "$WORK_DIR" ] && [ -d "$WORK_DIR" ] && rm -r "$WORK_DIR" [ -n "$WORK_DIR" ] && [ -d "$WORK_DIR" ] && rm -r "$WORK_DIR"
trap - EXIT trap - EXIT
@@ -143,7 +142,6 @@ function install_proxmox_backup_client() {
cleanup_work_dir cleanup_work_dir
} }
function arr_contains() { function arr_contains() {
local search=$1 local search=$1
shift shift
@@ -275,7 +273,6 @@ while (( $# > 0 )); do
fi fi
done done
if [ -f "$cfgfile" ]; then if [ -f "$cfgfile" ]; then
perms=$(stat -c '%a' "$cfgfile") perms=$(stat -c '%a' "$cfgfile")
(( 8#$perms & 0022 )) && echo "Error: $cfgfile is writable by group or others!" >&2 && exit 202 (( 8#$perms & 0022 )) && echo "Error: $cfgfile is writable by group or others!" >&2 && exit 202